summaryrefslogtreecommitdiff
path: root/aptdpkgro.sh
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2002-01-27 07:34:18 +0000
committerJonas Smedegaard <dr@jones.dk>2002-01-27 07:34:18 +0000
commit2f9c029734f63ca3c27f7865a896d0c4f39b7fe4 (patch)
tree8191ef76358e4c80174f5d72fb53e5e4e6473093 /aptdpkgro.sh
parentf0dc3f6abb9f09fe7f30541499bafa5b494bb0e2 (diff)
Only register files once (on interrupted installs same files are possibly installed multiple times).
Diffstat (limited to 'aptdpkgro.sh')
-rwxr-xr-xaptdpkgro.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/aptdpkgro.sh b/aptdpkgro.sh
index 71dc44d..47da72b 100755
--- a/aptdpkgro.sh
+++ b/aptdpkgro.sh
@@ -10,6 +10,7 @@ while read debname; do
dir=`dirname "$file"`;
base=`basename "$file"`;
inode=`find "$file" -printf "%i\n"`
+ [ -L "$dir/.${base}.dpkg-ro-used.$inode" ] || continue
(cd "$dir" && ln "$base" ".${base}.dpkg-ro-used.$inode")
echo "$dir/.${base}.dpkg-ro-used.$inode"
done >>/var/lib/my_ro_hack.todel